---
title: RTCTrackEvent.receiver
slug: Web/API/RTCTrackEvent/receiver
tags:
  - API
  - Media
  - Property
  - RTCRtpReceiver
  - RTCTrackEvent
  - RTP
  - Read-only
  - Reference
  - WebRTC
  - WebRTC API
  - events
  - receiver
  - track
---
<div>{{APIRef("WebRTC")}}</div>

<p><span class="seoSummary">The read-only <code><strong>receiver</strong></code> property of the {{domxref("RTCTrackEvent")}} interface indicates the {{domxref("RTCRtpReceiver")}} which is used to receive data containing media for the {{domxref("RTCTrackEvent.track", "track")}} to which the event refers.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>rtpReceiver</em> = <em>trackEvent</em>.receiver;</pre>

<h3 id="Value">Value</h3>

<p>The {{domxref("RTCRtpTransceiver")}} which pairs the <code>receiver</code> with a sender and other properties which establish a single bidirectional {{Glossary("SRTP")}} stream for use by the {{domxref("RTCTrackEvent.track", "track")}} associated with the <code>RTCTrackEvent</code>.</p>

<div class="note">
<p><strong>Note:</strong> The {{domxref("RTCTrackEvent.transceiver", "transceiver")}} includes its own {{domxref("RTCRtpTransceiver.receiver", "receiver")}} property, which will always be the same {{domxref("RTCRtpReceiver")}} as this one.</p>
</div>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('WebRTC 1.0', '#dom-trackevent-receiver', 'RTCTrackEvent.receiver')}}</td>
   <td>{{Spec2('WebRTC 1.0')}}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCTrackEvent.receiver")}}</p>
